• 赤色のリンクは、まだ日本語Codexに存在しないページ・画像です。英語版と併せてご覧ください。(詳細

このWikiはいつでも誰でも編集できます

「サーバーの用意」の版間の差分

提供: WordPress Codex 日本語版
移動先: 案内検索
(2009-11-09T15:52:40 Otto42 版 に更新、PHP 5への移行リンクを追加。)
(MariaDB の記述などを更新。)
 
(3人の利用者による、間の9版が非表示)
1行目: 1行目:
 
{{スタートガイド|準備}}
 
{{スタートガイド|準備}}
  
WordPress は、大抵の[[用語集#Hosting provider|ホスティングサービス]](レンタルサーバ)や、個人で立ち上げた [[用語集#Unix|Unix]]/[[用語集#Linux|Linux]] でのごく一般的な環境において設置が可能なはずです。
+
WordPress は、たいていの[[用語集#Hosting provider|ホスティングサービス]](レンタルサーバ)や、個人で立ち上げた [[用語集#Unix|Unix]]/[[用語集#Linux|Linux]] でのごく一般的な環境において設置が可能です。
  
 
<div id=" Server_requirements">
 
<div id=" Server_requirements">
== サーバ要件 ==
+
== サーバー要件 ==
 
</div>
 
</div>
  
{{:サーバ要件}}
+
{{サーバー要件}}
 +
 
 +
古い PHP や MySQL しか利用できないレガシーな環境でも、PHP 5.2.4 以上、かつ MySQL 5.0 以上であれば WordPress は動作しますが、公式サポートは終了しており、サイトがセキュリティの脆弱性にさらされる危険があります。このため、以下の推奨設定に従いホスティングサービスがサポートしている最新版の MySQL/MariaDB と PHP を使うことが最善です。
  
 
<div id="Recommended setup">
 
<div id="Recommended setup">
13行目: 15行目:
 
</div>
 
</div>
  
WordPress の動作に確実なプラットフォームとしては、[[用語集#Apache|Apache]] または [http://nginx.net/ NGINX] ウェブサーバの載った [[用語集#Linux|Linux]] をお薦めしますが、[[用語集#PHP|PHP]] と [[用語集#MySQL|MySQL]] をサポートしているサーバであれば動きます。あなたのサーバがこのプラットフォームと <code>[[用語集#mod_rewrite|mod_rewrite]]</code> をサポートしていない場合、これらを提供している [[用語集#Hosting provider|ホスティングサービス]](レンタルサーバ) に乗り換えたほうがいいでしょう。
+
おすすめは [[用語集#Apache|Apache]] または [http://nginx.net/ NGINX] ウェブサーバーの載った堅牢な [[用語集#Linux|Linux]] OS の構成です。[[用語集#PHP|PHP]] と [[用語集#MySQL|MySQL]]/[[用語集#MariaDB|MariaDB]] をサポートしているサーバーであればほぼ確実に動作するはずです。あなたのサーバがこのプラットフォームと <code>[[用語集#mod_rewrite|mod_rewrite]]</code> をサポートしていない場合、これらを提供している [[用語集#Hosting provider|ホスティングサービス]](レンタルサーバー) に乗り換えたほうがいいでしょう。
  
サーバへのリモート接続が許可されていることも'''必須'''条件です。ホスティングサービスが外部に向けた HTTP 接続をブロックしている場合、WordPress でうまく動作しない部分がたくさんあるでしょう。
+
サーバーへのリモート接続が許可されていることも'''必須'''条件です。ホスティングサービスが外部に向けた HTTP 接続をブロックしている場合、WordPress でうまく動作しない部分がたくさんあるでしょう。
  
 
'''推奨サーバ環境:'''
 
'''推奨サーバ環境:'''
* [[用語集#PHP|PHP]] バージョン 5.2 以上
+
* PHPバージョン 5.6 以上
* [[用語集#MySQL|MySQL]] バージョン 5.0 以上
+
* MySQL 5.6/MariaDB 10.0 以上
 
+
=== 参考 ===
+
* [[:en:User:Hakre/Technical_Installation|technical Installation Checklist]] - インストール用チェックリスト(英語)。
+
* [[PHP 5への移行]]
+
  
 
<div id="Hosting providers">
 
<div id="Hosting providers">
== ホスティングサービス(レンタルサーバ) ==
+
 
 +
== ホスティングサービス(レンタルサーバー) ==
 
</div>
 
</div>
  
最近はサーバスペースのレンタルの需要が多いので、上記サーバ要件を満たすサーバを見つけやすくなりました。候補がほしいときは次のページからどうぞ。
+
最近はサーバースペースレンタルの需要が多いので、上記サーバ要件を満たすサーバーを見つけやすくなりました。候補がほしいときは次のページからどうぞ。
* [[レンタルサーバ情報]] - WordPress の稼動例のあるサーバ情報(日本語)
+
* [[レンタルサーバー情報]] - WordPress の稼動例のあるサーバー情報(日本語)
* [http://wordpress.org/hosting/ WordPress Recommended Hosts] - WordPress に対応しているサーバ各種(英語)
+
* [http://wordpress.org/hosting/ WordPress Recommended Hosts] - WordPress に対応しているサーバー各種(英語)
* WordPress [http://wordpress.org/support/ support forums] で「recommendations」を検索
+
  
{{原文|Hosting WordPress|80026}} <!-- 2009-11-09T15:52:40 Otto42 版 -->
+
{{原文|Hosting WordPress|156399}} <!--13:07, 4 April 2016 Iangilfillan 版 -->
  
 
{{DEFAULTSORT:さあはのようい}}
 
{{DEFAULTSORT:さあはのようい}}
40行目: 38行目:
 
[[Category:初心者向けトピック]]
 
[[Category:初心者向けトピック]]
  
 +
[[bs:Hosting WordPressa]]
 
[[en:Hosting WordPress]]
 
[[en:Hosting WordPress]]
[[es:Hosting WordPress]]
 
 
[[fr:Heberger WordPress]]
 
[[fr:Heberger WordPress]]
[[it:Requisiti]]
+
[[ja:サーバの用意]]
[[ko:Hosting WordPress]]
+
[[nl:Hosting WordPress]]
[[zh:%E4%B8%BAWordPress%E5%AF%BB%E6%89%BE%E8%99%9A%E6%8B%9F%E4%B8%BB%E6%9C%BA]]
+
[[pt-br:Hospedando o WordPress]]
 +
[[ru:Хостинг для WordPress]]
 +
[[sk:Hosting WordPress]]
 +
[[th:โฮสท์ที่รองรับเวิร์ดเพรส]]
 +
[[zh-cn:WordPress 网站主机]]
 +
[[zh-tw:WordPress網站主機]]
 +
[[tr:WordPress Hosting]]

2016年4月14日 (木) 16:19時点における最新版

WordPress は、たいていのホスティングサービス(レンタルサーバ)や、個人で立ち上げた Unix/Linux でのごく一般的な環境において設置が可能です。


バージョン 3.2 系以降

  • PHP バージョン 5.2.4 以上
  • MySQL バージョン 5.0.15 以上または MariaDB (バージョン問わず)

バージョン 2.9〜3.1 系

  • PHP バージョン 4.3 以上
  • MySQL バージョン 4.1.2 以上

共通オプション

上記すべてのバージョンに共通する、特定の機能を使う場合に必要なオプション。


» 旧バージョンのサーバ要件


古い PHP や MySQL しか利用できないレガシーな環境でも、PHP 5.2.4 以上、かつ MySQL 5.0 以上であれば WordPress は動作しますが、公式サポートは終了しており、サイトがセキュリティの脆弱性にさらされる危険があります。このため、以下の推奨設定に従いホスティングサービスがサポートしている最新版の MySQL/MariaDB と PHP を使うことが最善です。

おすすめは Apache または NGINX ウェブサーバーの載った堅牢な Linux OS の構成です。PHPMySQL/MariaDB をサポートしているサーバーであればほぼ確実に動作するはずです。あなたのサーバがこのプラットフォームと mod_rewrite をサポートしていない場合、これらを提供している ホスティングサービス(レンタルサーバー) に乗り換えたほうがいいでしょう。

サーバーへのリモート接続が許可されていることも必須条件です。ホスティングサービスが外部に向けた HTTP 接続をブロックしている場合、WordPress でうまく動作しない部分がたくさんあるでしょう。

推奨サーバ環境:

  • PHPバージョン 5.6 以上
  • MySQL 5.6/MariaDB 10.0 以上

ホスティングサービス(レンタルサーバー)

最近はサーバースペースレンタルの需要が多いので、上記サーバ要件を満たすサーバーを見つけやすくなりました。候補がほしいときは次のページからどうぞ。

最新英語版: WordPress Codex » Hosting WordPress最新版との差分